
.padding {
	padding: 0 100px;
}
.padding-top {
	padding-top: 150px;
}
.padding-top-min {
	padding-top: 50px;
}
.padding-bottom {
	padding-bottom: 150px;
}
.padding-bottom-min {
	padding-bottom: 50px;
}

.margin-top {
	margin-top: 60px;
}

.margin-top-min {
	margin-top: 20px;
}


.padding-bottom-min {
	padding-bottom: 30px;
}

hr {
	width: 50px;
	height: 1px;
	background-color: #000;
	margin: 30px auto;
	border: 0;
	position: relative;
}



.navbar-light .navbar-toggler-icon {
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3e%3cpath stroke='rgba%288, 112, 185, 1%29' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e");
}


/* BUTTONS*/

.btn:hover {
	color: #FFF;
	background-color: #0870b9;
}

.btn.blue {
	background-color: #0870b9;
	color: #fff;
	text-decoration: none;
}
.btn.blue:hover {
	color: #FFF;
	background-color: #000;
}
.btn.blue:focus,
.btn.blue:active {
	background-color: #000;
	border: 1px solid #000;
	color: #FFF;
	outline: none !important;
}




/* FORM */

.upload-input{
	background-color: #eee;
	border-bottom: 1px solid #0870b9;
	height: 59px;
}

.upload-preview{
	margin-top: 30px;
	display: none;
}


#upload {
    opacity: 0;
}

#upload-label {
    position: absolute;
    top: 50%;
    left: 1rem;
    transform: translateY(-50%);
		max-height: 41px;
		overflow: hidden;
}

.image-area {
    border: 2px dashed #0870b9;
    padding: 1rem;
    position: relative;
		display: none;
}

.image-area::before {
    content: 'Uploaded image result';
    color: #fff;
    font-weight: bold;
    text-transform: uppercase;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-size: 0.8rem;
    z-index: 1;
}

.image-area img {
    z-index: 2;
    position: relative;
}

.message{
display: none;
}

.upl-btn {
	padding: 15px 20px;
}

#ticket_nr
{
font-size: 30px;
padding: 10px;
border: 2px dashed #fff;
background-color: #0870b9;
color: #fff;
border-radius:5px;
}



.navbar-nav {
font-weight: bold;
}

/* [FULL SCREEN SPINNER] */
#spinner-back, #spinner-front {
  position: fixed;
  width: 100vw;
  transition: all 1s;
  visibility: hidden;
  opacity: 0;
	top: 0;
	left:0;
}
#spinner-back {
  z-index: 998;
  height: 100vh;
  background: rgba(0, 0, 0, 0.7);
}
#spinner-front {
  z-index: 999;
  color: #fff;
  text-align: center;
  margin-top: 50vh;
  transform: translateY(-50%);
}
#spinner-back.show, #spinner-front.show {
  visibility: visible;
  opacity: 1;
}





#qrcode {
  text-align: center;
  width: 250px;
  height: 250px;
  margin:  0 auto;
}

.full-width-image {
  height: 150px;
  /* background: url("../images/header.jpg") no-repeat center center fixed; */
	background-color: #0870b9;
    background-size: auto;
  background-size: cover;

}

.title-text{
  color: #fff;
  text-shadow: #000 1px 1px 5px;
  font-size: 50px

}


/* germany flag */
.de_flag {
 background:url('data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMTAwMCIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIiBoZWlnaHQ9IjYwMCIgdmlld0JveD0iMCAwIDUgMyI+DQo8cGF0aCBkPSJtMCwwaDV2M2gtNXoiLz4NCjxwYXRoIGZpbGw9IiNkMDAiIGQ9Im0wLDFoNXYyaC01eiIvPg0KPHBhdGggZmlsbD0iI2ZmY2UwMCIgZD0ibTAsMmg1djFoLTV6Ii8+DQo8L3N2Zz4NCg==');
 width: 20px;
 background-size: 100% 100%;
 display: inline-block;
 height: 20px;
}

/* germany flag */
.en_flag {
 background:url('data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMTIwMCIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIiB2aWV3Qm94PSIwIDAgNjAgMzAiIGhlaWdodD0iNjAwIj4NCjxkZWZzPg0KPGNsaXBQYXRoIGlkPSJ0Ij4NCjxwYXRoIGQ9Im0zMCwxNWgzMHYxNXp2MTVoLTMwemgtMzB2LTE1enYtMTVoMzB6Ii8+DQo8L2NsaXBQYXRoPg0KPC9kZWZzPg0KPHBhdGggZmlsbD0iIzAwMjQ3ZCIgZD0ibTAsMHYzMGg2MHYtMzB6Ii8+DQo8cGF0aCBzdHJva2U9IiNmZmYiIHN0cm9rZS13aWR0aD0iNiIgZD0ibTAsMGw2MCwzMG0wLTMwbC02MCwzMCIvPg0KPHBhdGggc3Ryb2tlPSIjY2YxNDJiIiBzdHJva2Utd2lkdGg9IjQiIGQ9Im0wLDBsNjAsMzBtMC0zMGwtNjAsMzAiIGNsaXAtcGF0aD0idXJsKCN0KSIvPg0KPHBhdGggc3Ryb2tlPSIjZmZmIiBzdHJva2Utd2lkdGg9IjEwIiBkPSJtMzAsMHYzMG0tMzAtMTVoNjAiLz4NCjxwYXRoIHN0cm9rZT0iI2NmMTQyYiIgc3Ryb2tlLXdpZHRoPSI2IiBkPSJtMzAsMHYzMG0tMzAtMTVoNjAiLz4NCjwvc3ZnPg0K');
 width: 20px;
 background-size: 100% 100%;
 display: inline-block;
 height: 20px;
}
